Bug 675021 - [RV200] all windows black if more than one window on GNOME3 Desktop
[RV200] all windows black if more than one window on GNOME3 Desktop
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Jerome Glisse
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: F15GNOMEfail
  Show dependency treegraph
 
Reported: 2011-02-03 17:35 EST by John Reiser
Modified: 2015-02-17 08:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 08:36:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/var/log/Xorg.0.log (65.19 KB, text/plain)
2011-02-04 10:10 EST, John Reiser
no flags Details
/var/log/messages (140.34 KB, text/plain)
2011-02-04 10:11 EST, John Reiser
no flags Details
output from dmesg (123.56 KB, text/plain)
2011-02-04 10:12 EST, John Reiser
no flags Details

  None (edit)
Description John Reiser 2011-02-03 17:35:05 EST
Description of problem: Under the GNOME3 TestDay http://adamwill.fedorapeople.org/gnome3_test_day_20110203/gnome3_test_20110203_i686.iso, one window works fine.  But if there are two or more windows, then each window displays as all-black, which is not usable.  Sometimes clicking in the top-of-screen title bar will restore one window, but it is random and often reverts to black.


Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.13.2-0.5.20110124gitfadee0409.fc15.i686


How reproducible: every time


Steps to Reproduce:
1. boot gnome3_test_20110203_i686.iso
2. invoke Firefox and Terminal
3.
  
Actual results: both windows are completely black


Expected results: both windows display contents


Additional info: smolt  afcacf5a-f5b9-41e1-b9a5-d463b8d0061a
(4098:20823:5963:29025) pci, radeon, VIDEO, Radeon RV200 QW [Radeon 7500 LE]
pci 1002:5157
Comment 1 Matěj Cepl 2011-02-04 03:16:02 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 John Reiser 2011-02-04 10:10:56 EST
Created attachment 477038 [details]
/var/log/Xorg.0.log
Comment 3 John Reiser 2011-02-04 10:11:22 EST
Created attachment 477039 [details]
/var/log/messages
Comment 4 John Reiser 2011-02-04 10:12:00 EST
Created attachment 477040 [details]
output from dmesg
Comment 5 John Reiser 2011-02-04 10:18:11 EST
There is no /etc/X11/xorg.conf.

"Single window is OK" yes, but the status bar at the top of the whole screen isn't right.  Sometimes the text "Activities" is black-on-black, but clicking there gets the "Windows -- Apps" display.  Sometimes the left edge of the 'A' has leading white tails (2 to 4 pixels) on every other scan line.  Sometimes that text is drawn in 2x2 or 4x4 blocks as if low-res JPEG.  The translucent tool tips can be rather dim at times.
Comment 6 Dave Airlie 2011-03-12 02:28:40 EST
I don't think we'll be supporting gnome-shell on r100 gpus, the gnome-shell guys should get to writing the fallback code eventually.
Comment 7 John Reiser 2011-04-10 18:23:52 EDT
Blocks F15GNOMEfail because of text distortion in global menu bar (Comment #5).
Comment 8 Fedora End Of Life 2013-04-03 11:16:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 9 Fedora End Of Life 2015-01-09 11:32:32 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-17 08:36:24 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.